---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach022Agent00.dylib'
relocations:
  - { offsetInCU: 0x6DE, offset: 0x6DE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x83050, symBinAddr: 0x8250, symSize: 0x0 }
  - { offsetInCU: 0x705, offset: 0x705, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x84F90, symBinAddr: 0xA190, symSize: 0x0 }
  - { offsetInCU: 0x727, offset: 0x727, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x85380, symBinAddr: 0xA580, symSize: 0x0 }
  - { offsetInCU: 0x749, offset: 0x749, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x86320, symBinAddr: 0xB520, symSize: 0x0 }
  - { offsetInCU: 0x75E, offset: 0x75E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x86330, symBinAddr: 0xB530, symSize: 0x0 }
  - { offsetInCU: 0x8DED, offset: 0x8DED, size: 0x8, addend: 0x0, symName: _success, symObjAddr: 0x15650, symBinAddr: 0x80C8, symSize: 0x0 }
  - { offsetInCU: 0x8E07, offset: 0x8E07, size: 0x8, addend: 0x0, symName: _agentFinished, symObjAddr: 0x9DAD0, symBinAddr: 0x22C30, symSize: 0x0 }
  - { offsetInCU: 0x8E28, offset: 0x8E28, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x82C90, symBinAddr: 0x80D0, symSize: 0x0 }
  - { offsetInCU: 0x8E33, offset: 0x8E33, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x82C94, symBinAddr: 0x80D4, symSize: 0x0 }
  - { offsetInCU: 0x8E3E, offset: 0x8E3E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x82C98, symBinAddr: 0x80D8, symSize: 0x0 }
  - { offsetInCU: 0x8E83, offset: 0x8E83, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x82DE0, symBinAddr: 0x80E0, symSize: 0x0 }
  - { offsetInCU: 0x8EF0, offset: 0x8EF0, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x82E98, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8F09, offset: 0x8F09, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x82E9C, symBinAddr: 0x819C, symSize: 0x0 }
  - { offsetInCU: 0x8F22, offset: 0x8F22, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x82EA0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x8F3B, offset: 0x8F3B, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x82EA4, symBinAddr: 0x81A4, symSize: 0x0 }
  - { offsetInCU: 0x8F54, offset: 0x8F54, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x82EA8, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x8F6D, offset: 0x8F6D, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x82EB0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x8FF6, offset: 0x8FF6, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x82EC0, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x900F, offset: 0x900F, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x82EC8, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x9028, offset: 0x9028, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x82ED0, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x9041, offset: 0x9041, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x82ED8, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x905A, offset: 0x905A, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x82EE0, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x9074, offset: 0x9074, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x82EE8, symBinAddr: 0x81E8, symSize: 0x0 }
  - { offsetInCU: 0x915A, offset: 0x915A, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x82F2C, symBinAddr: 0x81FC, symSize: 0x0 }
  - { offsetInCU: 0x9173, offset: 0x9173, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x82F30, symBinAddr: 0x8200, symSize: 0x0 }
  - { offsetInCU: 0x918C, offset: 0x918C, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x82F38, symBinAddr: 0x8208, symSize: 0x0 }
  - { offsetInCU: 0x91A5, offset: 0x91A5, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x82F40, symBinAddr: 0x8210, symSize: 0x0 }
  - { offsetInCU: 0x91BE, offset: 0x91BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x82F50, symBinAddr: 0x8220, symSize: 0x0 }
  - { offsetInCU: 0x91D7, offset: 0x91D7, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x82F58, symBinAddr: 0x8228, symSize: 0x0 }
  - { offsetInCU: 0x91F0, offset: 0x91F0, size: 0x8, addend: 0x0, symName: __ZL20taggedObjectsCounter, symObjAddr: 0x82F60, symBinAddr: 0x8230, symSize: 0x0 }
  - { offsetInCU: 0x9209, offset: 0x9209, size: 0x8, addend: 0x0, symName: __ZL19freedObjectsCounter, symObjAddr: 0x82F64, symBinAddr: 0x8234, symSize: 0x0 }
  - { offsetInCU: 0x9222, offset: 0x9222, size: 0x8, addend: 0x0, symName: __ZL17objectFreeMonitor, symObjAddr: 0x82F68, symBinAddr: 0x8238, symSize: 0x0 }
  - { offsetInCU: 0x923B, offset: 0x923B, size: 0x8, addend: 0x0, symName: __ZL16objectTagMonitor, symObjAddr: 0x82F70, symBinAddr: 0x8240, symSize: 0x0 }
  - { offsetInCU: 0x9254, offset: 0x9254, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x82F78, symBinAddr: 0x8248, symSize: 0x0 }
  - { offsetInCU: 0x9D00, offset: 0x9D00, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv9FindClassEPKciS1_, symObjAddr: 0x0, symBinAddr: 0xB80, symSize: 0x100 }
  - { offsetInCU: 0x9EFD, offset: 0x9EFD, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassED1Ev, symObjAddr: 0x100, symBinAddr: 0xC80, symSize: 0x220 }
  - { offsetInCU: 0xA278, offset: 0xA278, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassE17DecimalToAsciiRecEPci, symObjAddr: 0x10360, symBinAddr: 0x4DD0, symSize: 0x50 }
  - { offsetInCU: 0xA4CB, offset: 0xA4CB, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv15RegisterNativesEP7_jclassPK15JNINativeMethodiiPKc, symObjAddr: 0x320, symBinAddr: 0xEA0, symSize: 0x140 }
  - { offsetInCU: 0xA738, offset: 0xA738, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIiED1Ev, symObjAddr: 0x460, symBinAddr: 0xFE0, symSize: 0x220 }
  - { offsetInCU: 0xAA40, offset: 0xAA40, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIiE17DecimalToAsciiRecEPci, symObjAddr: 0x103B0, symBinAddr: 0x4E20, symSize: 0x50 }
  - { offsetInCU: 0xAB9E, offset: 0xAB9E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x3750, symBinAddr: 0x13B0, symSize: 0x80 }
  - { offsetInCU: 0xAC33, offset: 0xAC33, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x36A0, symBinAddr: 0x1300, symSize: 0xB0 }
  - { offsetInCU: 0xAC8E, offset: 0xAC8E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x3580, symBinAddr: 0x1200, symSize: 0x100 }
  - { offsetInCU: 0xAF21, offset: 0xAF21, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x3890, symBinAddr: 0x1430, symSize: 0x220 }
  - { offsetInCU: 0xB106, offset: 0xB106, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x3AB0, symBinAddr: 0x1650, symSize: 0xA0 }
  - { offsetInCU: 0xB1B9, offset: 0xB1B9, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x3B70, symBinAddr: 0x16F0, symSize: 0x110 }
  - { offsetInCU: 0xB2AF, offset: 0xB2AF, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x3D10, symBinAddr: 0x1800, symSize: 0x150 }
  - { offsetInCU: 0xB407, offset: 0xB407, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x4A80, symBinAddr: 0x1950, symSize: 0x30 }
  - { offsetInCU: 0xB4C8, offset: 0xB4C8, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x4E90, symBinAddr: 0x1980, symSize: 0x150 }
  - { offsetInCU: 0xB6C0, offset: 0xB6C0, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x4FE0, symBinAddr: 0x1AD0, symSize: 0x160 }
  - { offsetInCU: 0xB860, offset: 0xB860, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x5BC0, symBinAddr: 0x1C30, symSize: 0x1B0 }
  - { offsetInCU: 0xBA7B, offset: 0xBA7B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x5D70, symBinAddr: 0x1DE0, symSize: 0xA0 }
  - { offsetInCU: 0xBB4A, offset: 0xBB4A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x60E0, symBinAddr: 0x1E80, symSize: 0x20 }
  - { offsetInCU: 0xBB81, offset: 0xBB81, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x6100, symBinAddr: 0x1EA0, symSize: 0x20 }
  - { offsetInCU: 0xBBB8, offset: 0xBBB8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x6120, symBinAddr: 0x1EC0, symSize: 0x20 }
  - { offsetInCU: 0xBD27, offset: 0xBD27, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x6860, symBinAddr: 0x1EE0, symSize: 0x1A0 }
  - { offsetInCU: 0xC043, offset: 0xC043, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x6A00, symBinAddr: 0x2080, symSize: 0x150 }
  - { offsetInCU: 0xC1F8, offset: 0xC1F8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x7040, symBinAddr: 0x21D0, symSize: 0x80 }
  - { offsetInCU: 0xC2C2, offset: 0xC2C2, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x70C0, symBinAddr: 0x2250, symSize: 0x6C0 }
  - { offsetInCU: 0xCDBF, offset: 0xCDBF, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xE710, symBinAddr: 0x3D40, symSize: 0xB0 }
  - { offsetInCU: 0xCE36, offset: 0xCE36, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x7780, symBinAddr: 0x2910, symSize: 0x70 }
  - { offsetInCU: 0xCF2A, offset: 0xCF2A, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x84D0, symBinAddr: 0x2980, symSize: 0xA0 }
  - { offsetInCU: 0xD035, offset: 0xD035, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x9340, symBinAddr: 0x2A20, symSize: 0x40 }
  - { offsetInCU: 0xD12B, offset: 0xD12B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x9380, symBinAddr: 0x2A60, symSize: 0x2B0 }
  - { offsetInCU: 0xD4D1, offset: 0xD4D1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x9630, symBinAddr: 0x2D10, symSize: 0xC0 }
  - { offsetInCU: 0xD617, offset: 0xD617, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x96F0, symBinAddr: 0x2DD0, symSize: 0x10 }
  - { offsetInCU: 0xD6D9, offset: 0xD6D9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x9700, symBinAddr: 0x2DE0, symSize: 0x240 }
  - { offsetInCU: 0xD9C2, offset: 0xD9C2, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0xCF90, symBinAddr: 0x3020, symSize: 0x150 }
  - { offsetInCU: 0xDA85, offset: 0xDA85, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0xD0E0, symBinAddr: 0x3170, symSize: 0x3C0 }
  - { offsetInCU: 0xDDBE, offset: 0xDDBE, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xD580, symBinAddr: 0x3530, symSize: 0xF0 }
  - { offsetInCU: 0xDEA4, offset: 0xDEA4, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xD670, symBinAddr: 0x3620, symSize: 0x2C0 }
  - { offsetInCU: 0xE203, offset: 0xE203, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xD930, symBinAddr: 0x38E0, symSize: 0xB0 }
  - { offsetInCU: 0xE26A, offset: 0xE26A, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xD9E0, symBinAddr: 0x3990, symSize: 0x230 }
  - { offsetInCU: 0xE56C, offset: 0xE56C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getClassName, symObjAddr: 0xE0F0, symBinAddr: 0x3BC0, symSize: 0x180 }
  - { offsetInCU: 0xE763, offset: 0xE763, size: 0x8, addend: 0x0, symName: _shutdownAgent, symObjAddr: 0xF2E0, symBinAddr: 0x3DF0, symSize: 0x130 }
  - { offsetInCU: 0xE8EB, offset: 0xE8EB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_AttachOnDemand_attach022_attach022Target_shutdownAgent, symObjAddr: 0xF410, symBinAddr: 0x3F20, symSize: 0x190 }
  - { offsetInCU: 0xEABB, offset: 0xEABB, size: 0x8, addend: 0x0, symName: _objectFreeHandler, symObjAddr: 0xF5A0, symBinAddr: 0x40B0, symSize: 0x120 }
  - { offsetInCU: 0xED2B, offset: 0xED2B, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0xF760, symBinAddr: 0x41D0, symSize: 0x40 }
  - { offsetInCU: 0xEDF8, offset: 0xEDF8, size: 0x8, addend: 0x0, symName: _vmObjectAllocHandler, symObjAddr: 0xF7A0, symBinAddr: 0x4210, symSize: 0x2A0 }
  - { offsetInCU: 0xF171, offset: 0xF171, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xFA40, symBinAddr: 0x44B0, symSize: 0x5A0 }
  - { offsetInCU: 0xF8C3, offset: 0xF8C3, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xFFE0, symBinAddr: 0x4A50, symSize: 0x370 }
...
